package com.bytedance.android.livesdk.api.revenue.subscription;

import X.2Pr;
import X.2cN;
import X.C1709GDe;
import X.C2791Ghs;
import X.Ls2;
import X.M12;
import android.content.Context;
import androidx.fragment.app.Fragment;
import com.bytedance.android.livesdk.LiveDialogFragment;
import com.bytedance.android.livesdkapi.depend.model.live.Room;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import java.util.Map;

public class SubscribeServiceDummy implements ISubscribeService {
    static {
        Covode.recordClassIndex(11615);
    }

    public C2791Ghs getEmotesCommentController() {
        return null;
    }

    public LiveDialogFragment getPreviewSubscriptionSettingDialog(int i, String str) {
        return null;
    }

    public 2cN getSubPrivilegeDetail(Context context, String str, String str2) {
        M12.LIZ(context, str, str2);
        return null;
    }

    public C1709GDe getSubscribeEntranceHelper() {
        return null;
    }

    public Fragment getSubscribeInfoListFragment(Context context, String str) {
        M12.LIZ(context, str);
        return null;
    }

    public Fragment getSubscribeSettingFragment() {
        return null;
    }

    public void loadPreviewSubscribeWidgetIfNeed(Ls2<2Pr> ls2) {
        M12.LIZ(ls2);
    }

    public void onInit() {
    }

    public void onPreviewSubscribeWidgetIconHide(String str) {
    }

    public void onPreviewSubscribeWidgetIconShow(String str) {
    }

    public void openLiveRoomSubscribeLynx(Context context, Room room, String str, String str2, Map<String, String> map) {
        M12.LIZ(context, room, str2, map);
    }

    public void openUserSubscribeBySchema(Context context, Room room, String str, String str2) {
        M12.LIZ(context, room, str, str2);
    }

    public void openUserSubscribeEntry(Context context, Room room, String str) {
        M12.LIZ(context, room, str);
    }

    public void openUserSubscribeState(Context context, Room room, String str) {
        M12.LIZ(context, room, str);
    }

    public void sendSubscribeGuideIfNeed(DataChannel dataChannel, Room room) {
        M12.LIZ(dataChannel, room);
    }

    public void updateAudienceSubscribeStatus(boolean z) {
    }
}
